<?php

# Copyright (C) 2009 Riku Kalinen
# License conditions in the file lisenssi.html
# Lisenssiehdot tiedostossa lisenssi.html

$table = "osaaminen";
$file = basename(__FILE__);

include "common.php";
include "osaaminen-ok.php";

echo "
<html>
<head>
 <title>VIHA - Osaamisprofiilit</title>
</head>
" . body_bgcolor() . "
<h1>Osaamisprofiilit</h1>
";

hallinnolliset_linkit();

$id = get_nro_0('id');
$osaaminen = get_txt('osaaminen');
$lyhenne = get_txt('lyhenne');

$add = get_txt('add');
$clear = get_txt('clear');
$save = get_txt('save');
$confirm = get_txt('confirm');
$change = get_txt('change');
$remove = get_txt('remove');

oltava_0($file);

if (($add != '') && saa_tehda("$file:add")) {
  $ret = osaaminen_add_ok($herja,$osaaminen,$lyhenne);
  if ($ret != 2) {
    $now = date('Y-m-d H:i:s');
    $sql =
      "INSERT INTO $table
       SET alue_id = 2,
           paivystys_id = 2,
           osaaminen = '$osaaminen',
           lyhenne = '$lyhenne',
           suojattu = 0,
           ts = '$now'";
    $result = my_mysql_query ($sql);
    print "<p>Tiedot listty.\n";
    $clear = "ADD";
    loki("$sql id=" . last_insert_id());
  }
  p_herja($ret,$herja);
 } # add

if (($save != '') && saa_tehda("$file:save")) {
  $ret = osaaminen_save_ok($herja,$id,$osaaminen,$lyhenne);
  $clear = "SAVE";
  if ($ret != 2) {
    $now = date('Y-m-d H:i:s');
    $sql =
      "UPDATE $table
       SET alue_id = 2,
           paivystys_id = 2,
           osaaminen = '$osaaminen',
           lyhenne = '$lyhenne',
           ts='$now'
       WHERE id=$id";
    $result = my_mysql_query ($sql,true,true);
    print "<p>Tiedot pivitetty.\n";
    $clear = "SISINEN";
  }
  p_herja($ret,$herja);
 } # save

if (($confirm != '') && saa_tehda("$file:confirm")) {
  $ret = osaaminen_remove_ok($herja,$id);
  if ($ret != 2) {
    $now = date('Y-m-d H:i:s');
    $sql = "DELETE FROM $table WHERE id = $id";
    $result = my_mysql_query ($sql,true,true);
    print "<p>Tiedot poistettu.\n";
    $clear = "SISINEN";
  }
  p_herja($ret,$herja);
 }

if ($clear != '') {
  $id = '0';
  $osaaminen = '';
  $lyhenne = '';
 }

# readonly tells if the fields are readonly. if not, they are editable.
if ($remove != '') { $readonly = 1; } else { $readonly = 0; }

# removable tells if we can actually remove this record
if ($remove != '') {
  $removable = 0;
  $ret = osaaminen_remove_ok($herja,$id,false);
  if ($ret != 2) {
    $removable = 1;
  }
  p_herja($ret,$herja);
 }

print "<form action=\"\" method=\"GET\">\n";
print "<p><table border=0>\n";

if ($id != "0") {
  $result = my_mysql_query("SELECT * FROM $table WHERE id = $id");
  $a = mysql_fetch_array($result);
  $osaaminen = $a['osaaminen'];
  $lyhenne = $a['lyhenne'];
}

print "<tr><td>Id:";
if ($id == "0") {
  print "<td>(tehdn uusi)\n";
} else {
  print "<td>$id\n";
}
print "<td><input type=\"hidden\" name=\"id\" size=8 maxlength=8";
print " value=\"$id\">\n";

print "<tr><td>Osaaminen:";
if ($readonly) {
  print "<td>$osaaminen\n";
} else {
  print "<td><input type=\"text\" name=\"osaaminen\" size=64 maxlength=64";
  print " value=\"$osaaminen\">\n";
}

print "<tr><td>Lyhenne:";
if ($readonly) {
  print "<td>$lyhenne\n";
} else {
  print "<td><input type=\"text\" name=\"lyhenne\" size=8 maxlength=8";
  print " value=\"$lyhenne\">\n";
}

print "</table>\n";

if ($change != "") {
  echo "<input type=\"submit\" name=\"save\" value=\"TALLENNA\">\n";
  echo "<input type=\"submit\" name=\"clear\" value=\"PERUUTA\">\n";
} elseif ($remove != "") {
  if ($removable) {
    echo "<input type=\"submit\" name=\"confirm\" value=\"VAHVISTA POISTO\">\n";
  }
  echo "<input type=\"submit\" name=\"clear\" value=\"PERUUTA\">\n";
} else {
  echo "<input type=\"submit\" name=\"add\" value=\"LIS\">\n";
  echo "<input type=\"submit\" name=\"clear\" value=\"TYHJENN\">\n";
}

$sql =
  "SELECT id, ts, osaaminen, lyhenne, suojattu
   FROM $table
   ORDER BY $table.osaaminen";
$result = my_mysql_query($sql);
if ($result) {
  echo "<p><TABLE BORDER=1>\n";
  tr_reset();
  echo tr_vaalsin()
    . "<TH>Id<TH>Aikaleima<TH>Osaaminen<TH>Lyhenne\n";
  while ($a = mysql_fetch_array($result)) {
    echo tr() . "<TD>$a[id]",
      "<TD>$a[ts]",
      "<TD>$a[osaaminen]",
      "<TD>$a[lyhenne]";
    if ($id == "0" && $a['suojattu'] == 0) {
      echo "<td><a href=\"$file?id=$a[id]&change=MUUTA\">MUUTA</a>\n";
      echo "<td><a href=\"$file?id=$a[id]&remove=POISTA\">POISTA</a>\n";
    }
  }
  echo "</TABLE>";
} else {
  echo "<p>Plop. Ei osaamistietoja.";
}

print "</form>\n";

loppu();

?>
</body> 
</html>
<!-- RCS $Id: osaaminen.php,v 1.4 2009/09/29 16:09:15 riku Exp $ -->
