<?php

# Copyright (C) 2009 Riku Kalinen
# License conditions in the file lisenssi.html
# Lisenssiehdot tiedostossa lisenssi.html

$table = "ryhma";
$file = basename(__FILE__);

include "common.php";
include "ryhma-ok.php";
include "hlo-ok.php";

function vain_osaamiset($file, $ryhma_id) {
  echo "<ul>Nyt kytettviss olevissa vain sellaiset henkilt,",
    " joilla on tietty osaamisprofiili:\n";
  echo "<li><a href=\"$file?ryhma_id=$ryhma_id\">Kaikki</a>";
  $sql =
    "SELECT id,osaaminen
     FROM osaaminen
     ORDER BY osaaminen";
  $result = my_mysql_query($sql);
  if ($result) {
    while ($a = mysql_fetch_array($result)) {
      echo "<li>",
	"<a href=\"$file?ryhma_id=$ryhma_id&osaaminen_id=$a[id]\">",
	"$a[osaaminen]</a>";
    }
  }
  echo "</ul>\n";
}

function table_ryhma($file, $ryhma_id) {
  $sql =
    "SELECT hlo.id, hlo.nimi, hlo.puhelin, ryhma.kutsu, hlo_asema, jarjesto,
            hlo_tila.hlo_tila, hlo.ra, hlo_asema.pri
     FROM hlo, ryhma, hlo_tila, hlo_asema, jarjesto
     WHERE hlo.ryhma_id = $ryhma_id
           AND ryhma.id = hlo.ryhma_id
           AND hlo_tila.id = hlo.hlo_tila_id
           AND hlo_asema_id = hlo_asema.id
           AND jarjesto_id = jarjesto.id
     ORDER BY hlo_asema.pri, hlo.nimi";
  $result = my_mysql_query($sql);
  if ($result) {
    tr_reset();
    echo "<p>Ryhmn " . tab_col_id("ryhma","kutsu",$ryhma_id)
      . " jsenet: <table border=\"1\">"
      . tr_vaalsin()
      . "<th>Ryhm<th>Asema<th>Nimi<th>Tila<th>Jrjest<th>Osaamiset"
      . "<th>Aseta asema\n";
    while ($a = mysql_fetch_array($result)) {
      echo tr() . "<td>$a[kutsu]",
	"<td>$a[hlo_asema]",
	"<td>$a[nimi]",
	"<td>$a[hlo_tila]",
	"<td>$a[jarjesto]";
      echo "<td>";
      list_osaaminen_ids(fetch_osaaminen_ids($a['id']));
      $prefix = "href=\"$file?ryhma_id=$ryhma_id";
      echo "<td>",
	"<a $prefix&asema_hlo=$a[id]&asema_id=3\">RJ</a> ",
	"<a $prefix&asema_hlo=$a[id]&asema_id=4\">RVJ</a> ",
	"<a $prefix&asema_hlo=$a[id]&asema_id=5\">JSEN</a> ",
	"<a $prefix&asema_hlo=$a[id]&asema_id=6\">HARJ</a>\n",
	"<td>",
	"<a $prefix&vapauta=$a[id]\">VAPAUTA</a>\n";
    }
    echo "</table>\n";
  }
}

function table_others($file, $ryhma_id, $osaaminen_id) {
  $sql =
    "SELECT hlo.id, hlo.nimi, hlo.puhelin, ryhma.kutsu, hlo_asema, jarjesto,
            hlo_tila.hlo_tila, hlo.ra, hlo_asema.pri
     FROM hlo, ryhma, hlo_tila, hlo_asema, jarjesto
     WHERE hlo.ryhma_id != $ryhma_id
           AND hlo.paivystys_id = " . s("paivystys") . "
           AND ryhma.id = hlo.ryhma_id
           AND hlo_tila.id = hlo.hlo_tila_id
           AND hlo_asema_id = hlo_asema.id
           AND jarjesto_id = jarjesto.id
     ORDER BY hlo.nimi";
  $result = my_mysql_query($sql);
  if ($result) {
    $head = "Muut kytettviss olevat:";
    if ($osaaminen_id != 0)
      $head = "Kytettviss olevat, joilla osaamisprofiili "
	. tab_col_id("osaaminen","",$osaaminen_id) . ":";
    tr_reset();
    echo "<p>$head <table border=\"1\">"
      . tr_vaalsin()
      . "<th>Ryhm<th>Asema<th>Nimi<th>Tila<th>Jrjest<th>Osaamiset\n";
    while ($a = mysql_fetch_array($result)) {
      if (visible_operation_tab($herja,"hlo",$a['id'],false) == 2)
	continue;
      if ($osaaminen_id != 0) {
	$n =
	  ota_yksi ("SELECT COUNT(*)
                     FROM osaaminen_hlo
                     WHERE osaaminen_id = $osaaminen_id
                           AND hlo_id = $a[id]");
	if ($n == 0)
	  continue;
      }
      echo tr() . "<td>$a[kutsu]",
	"<td>$a[hlo_asema]",
	"<td>$a[nimi]",
	"<td>$a[hlo_tila]",
	"<td>$a[jarjesto]";
      echo "<td>";
      list_osaaminen_ids(fetch_osaaminen_ids($a['id']));
      echo "<td>",
	"<a href=\"$file?ryhma_id=$ryhma_id&ota=$a[id]\">OTA</a>\n";
    }
    echo "</table>\n";
  }
}

echo "
<html>
<head>
 <title>VIHA - Ryhmien miehittminen</title>
</head>
" . body_bgcolor() . "
<h1>" . muotoile_operaatio() . ", ryhmien miehittminen</h1>
";

taktiset_linkit();

$ryhma_id = get_nro_0('ryhma_id');
$osaaminen_id = get_nro_0('osaaminen_id');
$ota = get_nro_0('ota');
$vapauta = get_nro_0('vapauta');
$asema_hlo = get_nro_0('asema_hlo');
$asema_id = get_nro_0('asema_id');
$kutsu = get_txt('kutsu');

$add = get_txt('add');
$clear = get_txt('clear');

oltava_sallittu($file,"ryhma",$ryhma_id);

if ($vapauta != 0) {
  oltava_sallittu($file,"hlo",$vapauta);
  $ret = hlo_set_ryhma_id_ok($herja,$vapauta,$ryhma_id);
  if ($ret != 2) {
    $now = date('Y-m-d H:i:s');
    $sql = "UPDATE hlo SET ryhma_id = 1 WHERE id = $vapauta";
    my_mysql_query($sql,true,true);
    $msg = "Vapautettu "
      . tab_col_id("hlo","nimi",$vapauta)
      . " ryhmst "
      . tab_col_id("ryhma","kutsu",$ryhma_id);
    taktinen_loki($msg);
    tehty($msg);
  }
  p_herja($ret,$herja);
 }

if ($ota != 0) {
  oltava_sallittu($file,"hlo",$ota);
  $ret = hlo_set_ryhma_id_ok($herja,$ota,$ryhma_id);
  if ($ret != 2) {
    $now = date('Y-m-d H:i:s');
    $sql = "UPDATE hlo SET ryhma_id = $ryhma_id WHERE id = $ota";
    my_mysql_query($sql,true,true);
    $msg = "Liitetty "
      . tab_col_id("hlo","nimi",$ota)
      . " ryhmn "
      . tab_col_id("ryhma","kutsu",$ryhma_id);
    taktinen_loki($msg);
    tehty($msg);
  }
  p_herja($ret,$herja);
 }

if ($asema_hlo != 0) {
  oltava_sallittu($file,"hlo",$asema_hlo);
  $ret = hlo_set_hlo_asema_id_ok($herja,$asema_hlo,$asema_id);
  if ($ret != 2) {
    $now = date('Y-m-d H:i:s');
    $sql = "UPDATE hlo SET hlo_asema_id = $asema_id WHERE id = $asema_hlo";
    my_mysql_query($sql,true,true);
    $msg = tab_col_id("hlo","nimi",$asema_hlo)
      . " on nyt "
      . tab_col_id("hlo_asema","",$asema_id);
    taktinen_loki($msg);
    tehty($msg);
  }
  p_herja($ret,$herja);
 }

if (($add != '') && saa_tehda("$file:add")) {
  # suurin osa tiedoista alustetaan oletusarvoihin tss koska lomakkeelta
  # tulee vain kutsu.
  $paikka_id = "1";
  $koordinaatit = '';
  $ryhma_tila_id = "1";
  $verkko_id = ota_oletus_verkko_id();
  $pri = "0";
  $puhelin = '';
  $selite = '';
  $tehtava = '';
  $toiminta_alue = '';
  $toimintakanava = '';
  $ret = ryhma_add_ok($herja,s('alue'),s('paivystys'),
                      $paikka_id,$ryhma_tila_id,$verkko_id,$kutsu);
  if ($ret != 2) {
    $now = date('Y-m-d H:i:s');
    if ($pri == 0)
      $pri = oletus_pri($kutsu);
    $sql =
      "INSERT INTO $table
       SET alue_id = " . s("alue") . ",
           paivystys_id = " . s("paivystys") . ",
           paikka_id = $paikka_id,
           koordinaatit = '$koordinaatit',
           ryhma_tila_id = $ryhma_tila_id,
           pri = $pri,
           verkko_id = $verkko_id,
           kutsu = '$kutsu',
           puhelin = '$puhelin',
           selite = '$selite',
           tehtava = '$tehtava',
           toiminta_alue = '$toiminta_alue',
           toimintakanava = '$toimintakanava',
           ts = '$now'";
    $result = my_mysql_query ($sql);
    $clear = "ADD";
    # ohituskaista: valitaan juuri listty ryhm ksiteltvksi
    $ryhma_id = last_insert_id();
    loki("$sql id=$ryhma_id");
    $msg = "Listty ryhm $kutsu";
    taktinen_loki($msg);
    tehty($msg);
  }
  p_herja($ret,$herja);
 }

if ($clear != '') {
  $kutsu = '';
}

echo "<form action=\"\" method=\"GET\">\n";

echo "Kutsu: <input type=\"text\" name=\"kutsu\" size=64 maxlength=64",
  " value=\"$kutsu\"> \n";

echo "<input type=\"submit\" name=\"add\" value=\"TEE UUSI RYHM\">\n";
echo "<input type=\"submit\" name=\"clear\" value=\"TYHJENN\">\n";

echo "<p>Ryhmt:\n";

$sql =
  "SELECT ryhma.id, kutsu, ryhma_tila_id
   FROM ryhma
   WHERE ryhma.paivystys_id = " . s("paivystys") . "
         OR (ryhma.alue_id = " . s("alue") . " AND ryhma.paivystys_id = 2)
         OR ryhma.alue_id = 2
   ORDER BY pri";
$result = my_mysql_query($sql);
if ($result) {
  while ($a = mysql_fetch_array($result)) {
    if ($a['id'] == 1)
      continue;
    echo " <a href=\"$file?ryhma_id=$a[id]\">$a[kutsu]</a>";
  }
} else {
    echo "<P>Plop. Ei ryhmi.";
}

if ($ryhma_id != 0) {
  table_ryhma($file, $ryhma_id);
  table_others($file, $ryhma_id, $osaaminen_id);
  vain_osaamiset($file, $ryhma_id);
 } # ryhma_id != 0

echo "</form>\n";

loppu();

?>
</body> 
</html>
<!-- RCS $Id: ryhma-miehitys.php,v 1.12 2009/10/03 15:28:12 riku Exp $ -->
