<?php

# Copyright (C) 2009 Riku Kalinen
# License conditions in the file lisenssi.html
# Lisenssiehdot tiedostossa lisenssi.html

include "common.php";

$eka = get_nro('eka');
$vika = get_nro('vika');
$conf = get_nro_1('conf');
if ($conf == 0)
  $reuna = 0;
else
  $reuna = 1;

echo
"<html>
  <head>
   <title>ViHa - Tapahtumapivkirja</title>
  </head> " . body_bgcolor() . "\n";

# lasketaan taulukkoon valmiiksi id-numerot ja niit vastaavat juoksevat.
$n_id = array();
$n = 0;
$sql =
  "SELECT id,ts
   FROM taktinen_loki
   WHERE paivystys_id = " . s("paivystys") . "
   ORDER BY ts,id";
$result =
  my_mysql_query($sql);
if ($result) {
  while ($a = mysql_fetch_array($result)) {
    $n ++;
    $n_id[$n] = $a['id']; 
  }
 } else {
  die("Plop. Ei lokia.");
 }

$maara = $n;
$minimi = 1;
$maksimi = $n;
if (($eka == '') && ($vika == '')) {
  # oletus: 20 viimeist
  $vika = $maksimi;
  $eka = $vika - 19;
}

# annetut rivit
if ($eka < $minimi)
  $eka = $minimi;
if ($vika == '')
  $vika = $eka + 19; 
if ($vika < $eka)
  $vika = $eka;
if ($vika > $maksimi)
  $vika = $maksimi;
echo "<h1>" . muotoile_operaatio()
. ", tapahtumapivkirja, tapahtumat $eka - $vika</h1>";

if ($conf != 0)
  taktiset_linkit();

if ($n == 0) {
  echo "<p>Ei nytettv.\n";
  loppu();
  exit();
 }

echo "<p><TABLE BORDER=$reuna>\n";
echo tr_vaalsin()
  . "<th>No<TH>Piv ja aika<TH>Tunnus<TH>Tapahtuma\n";
for ($i = $eka; $i <= $vika; $i ++) {
  $id = $n_id[$i];
  $result =
    my_mysql_query("SELECT * FROM taktinen_loki WHERE id = $id");
  if ($result) {
    $a = mysql_fetch_array($result);
    echo "<TR>",
      "<td>$i",
      "<TD>" . vain_hhmm($a['ts']),
      "<TD>$a[user]",
      "<TD>$a[data]";
  }
 }
echo "</TABLE>";

if ($conf != 0) {
  print "<form action=\"\" method=\"GET\">";
  print "<p>Ensimminen tapahtuma on $minimi ja viimeinen $maksimi.\n";
  print "<p>Nyt tapahtumat ";
  print "<input type=\"text\" name=\"eka\" size=8 maxlength=8";
  print " value=\"$eka\">\n";
  print " - ";
  print "<input type=\"text\" name=\"vika\" size=8 maxlength=8";
  print " value=\"$vika\">\n";
  print " ";
  print "<input type=\"submit\" name=\"show\" value=\"NYT RIVIT\">\n";
  print "</form>";

  echo "<h2>Tulosteet</h2>\n";

  echo "<p><a href=\"taktinen-loki.php?eka=1&vika=99999999&conf=0\">"
    . "Tulostettava versio kaikista tapahtumista</a>\n";

  loppu();
    
 }

?>
</body> 
</html>
<!-- RCS $Id: taktinen-loki.php,v 1.14 2009/10/09 12:50:10 riku Exp $ -->
