<?php

# Copyright (C) 2009 Riku Kalinen
# License conditions in the file lisenssi.html
# Lisenssiehdot tiedostossa lisenssi.html

$file = basename(__FILE__);

include "common.php";

echo "
<html>
<head>
 <title>ViHa V$viha_versio - $config_main_title</title>
</head>
" . body_bgcolor() . "
";

$conf = get_nro('conf');
if ($conf == '') {
  $conf = s('index-conf');
} else {
  $_SESSION[$prefix . 'index-conf'] = $conf;
}

if ($conf == '')
  $conf = 0;

switch ($conf) {
 case 0: case 300:
   $headers = true;
   break;
 default:
   $headers = false;
 }

if ($replication)
  echo "
<h1><font color=\"red\">Replikointi on pll, jrjestelmss voidaan
vain selailla tietoja. Pivittminen ei onnistu!</font></h1>\n";

echo "<h1>$config_main_h1</h1>\n";

if ($config_main_motd != "")
  echo "<p>$config_main_motd\n";

# headers: one <ul> list per header.
# no headers: one big <ul> list w/o headers.

if ($headers)
  echo "<h2>Tilanteen seuranta</h2>\n";

echo "<ul>\n";

switch ($conf) {
 case 0: case 100: case 200: case 300:
   echo "<li><a href=\"tilanne.php\">Yleistilanne</a>",
     " (automaattisesti pivittyv).\n";
 }
switch ($conf) {
 case 0: case 100: case 200: case 300:
   echo "<li><a href=\"tilanne-taysi.php\">",
     "Laaja tilanne: ryhmt, miehitykset ja kirjaukset</a>\n";
 }
switch ($conf) {
 case 0: case 100: case 300:
   echo "<li><a href=\"tilanne-kalusto.php\">Laaja tilanne: kalusto</a>\n";
 }
switch ($conf) {
 case 0: case 100: case 200: case 300:
   echo "<li><a href=\"lapset-taysi.php\">",
     "Laaja tilanne: kadonneet henkilt</a>\n";
 }
switch ($conf) {
 case 0: case 100: case 200: case 300:
   echo "<li><a href=\"taktinen-loki.php\">Tapahtumapivkirja</a>\n";
 }
switch ($conf) {
 case 0: case 100: case 200:
   echo "<li><a href=\"tyotunnit.php\">Tytunnit</a>\n";
 }

if ($headers)
  echo "</ul> <h2>Rutiinipivitykset</h2> <ul>\n";
  
switch ($conf) {
 case 0: case 300:
   echo "<li><a href=\"ryhma-takt.php\">Ryhmn pivitys</a>",
     " (sijainti, tila, tapahtumakirjaus ryhmlle)\n";
 }
switch ($conf) {
 case 0: case 200: case 300:
   echo "<li><a href=\"hlo-takt.php\">Henkiln pivitys</a>",
     " (ryhm, tila, asema)\n";
 }
switch ($conf) {
 case 0: case 100: case 200: case 300:
   echo "<li><a href=\"tap-takt.php\">Vapaamuotoinen tapahtumakirjaus</a>\n";
 }
switch ($conf) {
 case 0: case 100: case 200: case 300:
   echo "<li><a href=\"ryhma-miehitys.php\">",
     "Ryhmien teko ja miehittminen</a>\n";
 }
switch ($conf) {
 case 0: case 200: case 300:
   echo "<li><a href=\"hlo-oper.php\">Operaation miehittminen</a>\n";
 }
switch ($conf) {
 case 0: case 200: case 300:
   echo "<li><a href=\"jarjesto-takt.php\">Jrjestjen hlytysryhmt</a>\n";
 }
switch ($conf) {
 case 0: case 300:
   echo "<li><a href=\"laite-oper.php\">Operaation varustaminen</a>\n";
 }
switch ($conf) {
 case 0: case 300:
   echo "<li><a href=\"kalusto-takt.php\">Ryhmien varustaminen</a>\n";
 }

if ($headers)
  echo "</ul> <h2>Kadonneet henkilt</h2> <ul>\n";

switch ($conf) {
 case 0: case 100: case 200: case 300:
   echo "<li><a href=\"kadonnut.php\">Kateissa olevat henkilt</a>\n";
 }

if ($headers)
  echo "</ul> <h2>Hallinnolliset pivitykset ja selailu</h2> <ul>\n";

switch ($conf) {
 case 0: case 100: case 200: case 300:
   echo "<li><a href=\"tap.php\">Tapahtumien kirjaus ja selailu</a>\n";
 }
switch ($conf) {
 case 0: case 200: case 300:
   echo "<li><a href=\"hlo.php\">Henkiltiedot</a>\n";
 }
switch ($conf) {
 case 0: case 100: case 200: case 300:
   echo "<li><a href=\"ryhma.php\">Ryhmkohtaisten tietojen ksittely</a>\n";
 }
switch ($conf) {
 case 0: case 300:
   echo "<li><a href=\"verkko.php\">Radioverkot</a>\n";
 }
switch ($conf) {
 case 0: case 200: case 300:
   echo "<li><a href=\"jarjesto.php\">Jrjestt</a>\n";
 }
switch ($conf) {
 case 0: case 300:
   echo "<li><a href=\"laite.php\">Viestivlineet</a>\n";
 }
switch ($conf) {
 case 0: case 300:
   echo "<li><a href=\"tavara.php\">Muu kalusto</a>\n";
 }

if ($headers)
  echo "</ul> <h2>Operaatiot ja kyttoikeustiedot</h2> <ul>\n";

switch ($conf) {
 case 0: case 100: case 200: case 300:
   echo "<li><a href=\"paivystys-takt.php\">Operaation perustiedot</a>\n";
 }
switch ($conf) {
 case 0: case 100: case 200: case 300:
   if ($operations > 1) 
     echo "<li><a href=\"paivystys-valinta.php\">Operaation valinta</a>\n";
 }
switch ($conf) {
 case 0: case 100: case 300:
   if ($operations > 1)
     echo "<li><a href=\"paivystys-loppu.php\">Operaation lopettaminen</a>\n";
 }
switch ($conf) {
 case 0: case 100: case 300:
   if ($userlevel_no > 15) 
     echo "<li><a href=\"paivystys.php\">Operaatiot</a>\n";
 }
switch ($conf) {
 case 0: 
   if ($userlevel_no > 25) 
     echo "<li><a href=\"kayttajat.php\">Kyttoikeustiedot</a>\n";
 }
switch ($conf) {
 case 0: case 100: case 200: case 300:
   echo "<li><a href=\"salasana.php\">Salasanan vaihto</a>\n";
 }
switch ($conf) {
 case 0: case 100: case 200: case 300:
   echo "<li><a href=\"logoff.php\">Kirjaudu ulos</a>\n";
 }

if ($headers)
  echo "</ul> <h2>Guruille</h2> <ul>\n";

switch ($conf) {
 case 0: case 300:
   echo "<li><a href=\"tarkasta-kanta.php\">Tietokannan tarkastus</a>\n";
 }
switch ($conf) {
 case 0: case 300:
   echo "<li><a href=\"hlo_tila.php\">Henkiln tilakoodit</a>\n";
 }
switch ($conf) {
 case 0: case 300:
   echo "<li><a href=\"hlo_asema.php\">Henkiln asemakoodit</a>\n";
 }
switch ($conf) {
 case 0: case 300:
   echo "<li><a href=\"ryhma_tila.php\">Ryhmn tilakoodit</a>\n";
 }
switch ($conf) {
 case 0: case 300:
   echo "<li><a href=\"paikka.php\">Sijaintikoodit (paikat)</a>\n";
 }
switch ($conf) {
 case 0: case 300:
   echo "<li><a href=\"laite_tyyppi.php\">Viestivlineiden tyyppikoodit</a>\n";
 }
switch ($conf) {
 case 0: case 300:
   echo "<li><a href=\"tavara_tyyppi.php\">Muun kaluston tyyppikoodit</a>\n";
 }
switch ($conf) {
 case 0: case 100:
   if ($operations > 1)
     echo "<li><a href=\"tilanne0.php\">",
       "  Kaikkien operaatioiden yleistilanne</a>",
       " (automaattisesti pivittyv).\n";
 }
switch ($conf) {
 case 0: case 200: case 300:
   if ($operations > 1) 
     echo "<li><a href=\"hlo0.php\">",
       " Henkiltietojen ksittely ja henkiliden siirrot</a>\n";
 }
switch ($conf) {
 case 0: case 100: case 200: case 300:
   if ($operations > 1)
     echo "<li><a href=\"ryhma0.php\">",
       " Ryhmkohtaisten tietojen ksittely ja ryhmien siirrot</a>\n";
 }
switch ($conf) {
 case 0: case 100: case 200: case 300:
   if ($operations > 1)
     echo "<li><a href=\"kadonnut0.php\">",
       "Kateissa olevien henkiliden siirrot</a>\n";
 }
switch ($conf) {
 case 0: case 200: case 300:
   if ($operations > 1)
     echo "<li><a href=\"tap0.php\">",
       "Tapahtumakirjauksen ksittely ja siirrot</a>\n";
 }
switch ($conf) {
 case 0:
   if ($operations > 1) 
     echo "<li><a href=\"hlo_tila0.php\">",
       "Henkiliden tilakoodien ksittely ja siirrot</a>\n";
 }
switch ($conf) {
 case 0:
   if ($operations > 1) 
     echo "<li><a href=\"ryhma_tila0.php\">",
       "Ryhmien tilakoodien ksittely ja siirrot</a>\n";
 }
switch ($conf) {
 case 0: case 200: case 300:
   if ($operations > 1)
     echo "<li><a href=\"paikka0.php\">",
       "Sijaintikoodien ksittely ja siirrot</a>\n";
 }
switch ($conf) {
 case 0: case 300:
   if ($operations > 1)
     echo "<li><a href=\"laite0.php\">",
       "Viestivlineiden ksittely ja siirrot</a>\n";
 }
switch ($conf) {
 case 0: case 300:
   if ($operations > 1)
     echo "<li><a href=\"tavara0.php\">",
       "Muun kaluston ksittely ja siirrot</a>\n";
 }
switch ($conf) {
 case 0: case 300:
   if ($userlevel_no > 25)
     echo "<li><a href=\"hlo_ajat0.php\">Tyaikojen ksittely ja siirrot</a>\n";
 }
switch ($conf) {
 case 0:
   if ($userlevel_no > 25)
     echo "<li><a href=\"alue.php\">Alueet</a>\n";
 }
switch ($conf) {
 case 0: 
   if ($userlevel_no > 25) 
     echo "<li><a href=\"osaaminen.php\">Osaamisprofiilit</a>\n";
 }
switch ($conf) {
 case 0: case 300:
   if ($userlevel_no > 25) 
     echo "<li><a href=\"tekninen-loki.php\">Tekninen loki</a>\n";
 }
switch ($conf) {
 case 0: case 300:
   if ($userlevel_no > 25) 
     echo "<li><a href=\"replicate.php\">Replikointi</a>\n";
 }
switch ($conf) {
 case 0:
   if ($userlevel_no > 25) 
     echo "<li><a href=\"sync.php\">Synkronointi</a>\n";
 }

if ($headers)
  echo "</ul> <h2>Ohjeita ja muita liittyvi dokumentteja</h2> <ul>\n";

switch ($conf) {
 case 0: case 100: case 200: case 300:
   echo "<li><a href=\"ohje.html\">ViHa peruskyttjn ohje</a>\n";
 }
switch ($conf) {
 case 0: case 300:
   echo "<li><a href=\"ohje-guru.html\">",
     "ViHa tehokyttjn ja yllpitjn ohje</a>\n";
 }
switch ($conf) {
 case 0: 
   echo "<li><a href=\"viha-esitys.odp\">",
     "ViHa yleisesitys (OpenOffice Impress .odp)</a>\n";
 }
switch ($conf) {
 case 0: 
   echo "<li><a href=\"viha-esitys.pdf\">",
     "ViHa yleisesitys (Adobe Reader .pdf)</a>\n";
 }
switch ($conf) {
 case 0: case 300:
   echo "<li><a href=\"historia.txt\">ViHan pivityshistoria</a>\n";
 }
switch ($conf) {
 case 0: case 100: case 200: case 300:
   echo "<li><a href=\"lisenssi.html\">ViHa - lisenssiehdot</a>\n";
 }
switch ($conf) {
 case 0:
   echo "<li><a href=\"testaus.csv\">Testaussuunnitelma (.CSV)</a>\n";
 }
switch ($conf) {
 case 0:
   echo "<li><a href=\"testaus.xls\">Testaussuunnitelma (.XLS)</a>\n";
 }


# tm tulee joka tapauksessa, riippumatta siit oliko otsikoita vai ei.
echo "</ul>";

$hak = "operaatio/" . s("paivystys");
if (file_exists($hak)) {
  $dir = opendir($hak);
  if ($dir) {
    echo "<h2>Operaatiokohtaista materiaalia</h2>\n<ul>\n";
    while (($file = readdir($dir)) !== FALSE) {
      if (is_file("$hak/$file") && is_readable("$hak/$file")) {
	echo "<li><a href=\"$hak/$file\">$file</a>\n";
      }
    }
    closedir($dir);
    echo "</ul>\n";
  }
 }
  
echo "
<h2>Kyttprofiileja</h2>
<ul>
<li><a href=\"$file?conf=0\">Nyt kaikki (oletus)</a>
<li><a href=\"$file?conf=100\">Johto</a>
<li><a href=\"$file?conf=200\">Sihteeri</a>
<li><a href=\"$file?conf=300\">Viesti</a>
</ul>
<p>Nm vaikuttavat pvalikon lisksi mys muissa nytiss oleviin valikoihin.
";

echo "<hr>\n";

$now = date('Y-m-d H:i:s');
echo "<p><small>ViHa V$viha_versio ($viha_pvm) &copy; Riku Kalinen OH2RK",
  ", kyttj $username($userid)",
  ", kyttjtaso $userlevel($userlevel_no)",
  ", sallittuja operaatioita $operations",
  ", valittu operaatio " . muotoile_operaatio(), 
  ", IP $_SERVER[REMOTE_ADDR], $now</small>\n";

?>

</body> 
</html>

<!-- RCS $Id: index.php,v 1.87 2009/10/05 11:03:10 riku Exp $ -->
