<?php

# Copyright (C) 2009 Riku Kalinen
# License conditions in the file lisenssi.html
# Lisenssiehdot tiedostossa lisenssi.html

$table = "kadonnut";
$file = basename(__FILE__);

include "common.php";
include "kadonnut-ok.php";

echo "
<html>
<head>
 <title>ViHa - Kadonneet henkilt</title>
</head>
" . body_bgcolor() . "
";

$id = get_nro_0('id');
$lapsi_tila_id = get_nro('lapsi_tila_id');
$mmm = get_txt('mmm');
$kello = get_txt('kello');
$nimi = get_txt('nimi');
$lempinimi = get_txt('lempinimi');
$ika = get_txt('ika');
$pituus = get_txt('pituus');
$paino = get_txt('paino');
$sairaudet = get_txt('sairaudet');
$sukupuoli = get_txt('sukupuoli');
$housut = get_txt('housut');
$paita = get_txt('paita');
$kengat = get_txt('kengat');
$hame = get_txt('hame');
$puku = get_txt('puku');
$paahine = get_txt('paahine');
$hiusten_vari = get_txt('hiusten_vari');
$hiusten_pituus = get_txt('hiusten_pituus');
$tuntomerkit = get_txt('tuntomerkit');
$varustus = get_txt('varustus');
$liikkuminen = get_txt('liikkuminen');
$muuta_huomioitavaa = get_txt('muuta_huomioitavaa');
$viimeksi_kello = get_txt('viimeksi_kello');
$viimeksi_paikka = get_txt('viimeksi_paikka');
$muuta1 = get_txt('muuta1');
$omainen_nimi = get_txt('omainen_nimi');
$omainen_puhelin = get_txt('omainen_puhelin');
$omainen_sijainti = get_txt('omainen_sijainti');
$omainen_osoite = get_txt('omainen_osoite');
$ilmoittaja_nimi = get_txt('ilmoittaja_nimi');
$ilmoittaja_puhelin = get_txt('ilmoittaja_puhelin');
$ilmoittaja_sijainti = get_txt('ilmoittaja_sijainti');
$ilmoittaja_asema = get_txt('ilmoittaja_asema');
$loydetty_kello = get_txt('loydetty_kello');
$loydetty_mista = get_txt('loydetty_mista');
$muuta2 = get_txt('muuta2');
$muuta3 = get_txt('muuta3');
$loytaneet_kello = get_txt('loytaneet_kello');
$halytyksen_vastaanotti = get_txt('halytyksen_vastaanotti');

$add = get_txt('add');
$clear = get_txt('clear');
$save = get_txt('save');
$confirm = get_txt('confirm');
$change = get_txt('change');
$remove = get_txt('remove');

oltava_sallittu($file, $table, $id);

# apply some magic to all time fields.
$kello = maaginen_kello($kello);
$viimeksi_kello = maaginen_kello($viimeksi_kello);
$loydetty_kello = maaginen_kello($loydetty_kello);
$loytaneet_kello = maaginen_kello($loytaneet_kello);

echo "<h1>Kadonneiden henkiliden tietojen ksittely</h1>";
taktiset_linkit();

$readonly = 0; # only show (no edit) fields other than id
if ($remove != "") {
  $readonly = 1;
}

if (! $readonly) {
  echo "<p>Kellonaikojen sytt:
Kellonajan voi sytt muodossa HH:MM.
Myskin +MM tai -MM - tyyppiset sytt ovat mahdollisia.
Jos sytt jotain muuta niin ko. kohtaan tulee sytthetken kellonaika.
";
}

if (($add != '') && saa_tehda("$file:add")) {
  $ret = kadonnut_add_ok($herja,s('alue'),
			 s('paivystys'),
			 $lapsi_tila_id,
			 $kello,$nimi,$viimeksi_kello,$loydetty_kello,
			 $loytaneet_kello);
  if ($ret != 2) {
    $now = date('Y-m-d H:i:s');
    $sql =
      "INSERT INTO $table
       SET alue_id = " . s("alue") . ",
           paivystys_id = " . s("paivystys") . ",
           lapsi_tila_id = $lapsi_tila_id,
           mmm = '$mmm',
           kello = '$kello',
           nimi = '$nimi',
           lempinimi = '$lempinimi',
           ika = '$ika',
           pituus = '$pituus',
           paino = '$paino', 
           sairaudet = '$sairaudet', 
           sukupuoli = '$sukupuoli',
           housut = '$housut',
           paita = '$paita',
           kengat = '$kengat',
           hame = '$hame',
           puku = '$puku',
           paahine = '$paahine',
           hiusten_vari = '$hiusten_vari',
           hiusten_pituus = '$hiusten_pituus',
           tuntomerkit = '$tuntomerkit', 
           varustus = '$varustus',
           liikkuminen = '$liikkuminen', 
           muuta_huomioitavaa = '$muuta_huomioitavaa', 
           viimeksi_kello = '$viimeksi_kello',
           viimeksi_paikka = '$viimeksi_paikka',
           muuta1 = '$muuta1', 
           omainen_nimi = '$omainen_nimi',
           omainen_puhelin = '$omainen_puhelin',
           omainen_sijainti = '$omainen_sijainti',
           omainen_osoite = '$omainen_osoite', 
           ilmoittaja_nimi = '$ilmoittaja_nimi',
           ilmoittaja_puhelin = '$ilmoittaja_puhelin',
           ilmoittaja_sijainti = '$ilmoittaja_sijainti', 
           ilmoittaja_asema = '$ilmoittaja_asema', 
           loydetty_kello = '$loydetty_kello',
           loydetty_mista = '$loydetty_mista',
           muuta2 = '$muuta2', 
           muuta3 = '$muuta3', 
           loytaneet_kello = '$loytaneet_kello',
           loytaneet_missa = '$loytaneet_missa', 
           halytyksen_vastaanotti = '$halytyksen_vastaanotti', 
           ts = '$now'";
    $result = my_mysql_query ($sql);
    tehty("Listty kadonnut henkil nimell $nimi.");
    $clear = "ADD";
    taktinen_loki("Listty kadonnut $nimi, tila "
		  . ota_lapsi_tila($lapsi_tila_id));
    loki("$sql id=" . last_insert_id());
  } 
  p_herja($ret,$herja);
}

if (($save != '') && saa_tehda("$file:save")) {
  $ret = kadonnut_save_ok($herja,$id,s('alue'),
			  s('paivystys'),
			  $lapsi_tila_id,
			  $kello,$nimi,$viimeksi_kello,$loydetty_kello,
			  $loytaneet_kello);
  $clear = "SAVE";
  if ($ret != 2) {
    $now = date('Y-m-d H:i:s');
    $sql =
      "UPDATE $table
       SET alue_id = " . s("alue") . ",
           paivystys_id = " . s("paivystys") . ",
           lapsi_tila_id = $lapsi_tila_id,
           mmm = '$mmm',
           kello = '$kello',
           nimi = '$nimi',
           lempinimi = '$lempinimi',
           ika = '$ika',
           pituus = '$pituus',
           paino = '$paino', 
           sairaudet = '$sairaudet', 
           sukupuoli = '$sukupuoli',
           housut = '$housut',
           paita = '$paita',
           kengat = '$kengat',
           hame = '$hame',
           puku = '$puku',
           paahine = '$paahine',
           hiusten_vari = '$hiusten_vari',
           hiusten_pituus = '$hiusten_pituus',
           tuntomerkit = '$tuntomerkit', 
           varustus = '$varustus',
           liikkuminen = '$liikkuminen', 
           muuta_huomioitavaa = '$muuta_huomioitavaa', 
           viimeksi_kello = '$viimeksi_kello',
           viimeksi_paikka = '$viimeksi_paikka',
           muuta1 = '$muuta1', 
           omainen_nimi = '$omainen_nimi',
           omainen_puhelin = '$omainen_puhelin',
           omainen_sijainti = '$omainen_sijainti',
           omainen_osoite = '$omainen_osoite', 
           ilmoittaja_nimi = '$ilmoittaja_nimi',
           ilmoittaja_puhelin = '$ilmoittaja_puhelin',
           ilmoittaja_sijainti = '$ilmoittaja_sijainti', 
           ilmoittaja_asema = '$ilmoittaja_asema', 
           loydetty_kello = '$loydetty_kello',
           loydetty_mista = '$loydetty_mista',
           muuta2 = '$muuta2', 
           muuta3 = '$muuta3', 
           loytaneet_kello = '$loytaneet_kello',
           loytaneet_missa = '$loytaneet_missa', 
           halytyksen_vastaanotti = '$halytyksen_vastaanotti', 
           ts = '$now'
       WHERE id = $id";
    $result = my_mysql_query ($sql,true,true);
    taktinen_loki("Pivitetty kadonnutta $nimi, tila "
		  . ota_lapsi_tila($lapsi_tila_id));
    tehty("Kadonneen henkiln $nimi tietoja pivitetty.");
    $clear = "SAVE";
  }
  p_herja($ret,$herja);
 }

if (($confirm != '') && saa_tehda("$file:confirm")) {
  $ret = kadonnut_remove_ok($herja,$id);
  if ($ret != 2) {
    $tmp_nimi = ota_kadonnut_nimi($id);
    $now = date('Y-m-d H:i:s');
    $tmp_lapsi_tila_id
      = ota_yksi("SELECT lapsi_tila_id FROM kadonnut WHERE id = $id");
    taktinen_loki("Poistetaan kadonnutta $tmp_nimi, tila "
		  . ota_lapsi_tila($tmp_lapsi_tila_id));
    $sql = "DELETE FROM $table WHERE id = $id";
    $result = my_mysql_query ($sql,true,true);
    tehty("Poistettu kadonnut henkil $tmp_nimi.\n");
    $clear = "SISINEN";
  }
  p_herja($ret,$herja);
 }

if ($clear != '') {
    $id = "0";
    $lapsi_tila_id = 1;
    $mmm = '';
    $kello = '';
    $nimi = '';
    $lempinimi = '';
    $ika = '';
    $pituus = '';
    $paino = '';
    $sairaudet = '';
    $sukupuoli = '';
    $housut = '';
    $paita = '';
    $kengat = '';
    $hame = '';
    $puku = '';
    $paahine = '';
    $hiusten_vari = '';
    $hiusten_pituus = '';
    $tuntomerkit = '';
    $varustus = '';
    $liikkuminen = '';
    $muuta_huomioitavaa = '';
    $viimeksi_kello = '';
    $viimeksi_paikka = '';
    $muuta1 = '';
    $omainen_nimi = '';
    $omainen_puhelin = '';
    $omainen_sijainti = '';
    $omainen_osoite = '';
    $ilmoittaja_nimi = '';
    $ilmoittaja_puhelin = '';
    $ilmoittaja_sijainti = '';
    $ilmoittaja_asema = '';
    $loydetty_kello = '';
    $loydetty_mista = '';
    $muuta2 = '';
    $muuta3 = '';
    $loytaneet_kello = '';
    $halytyksen_vastaanotti = '';
}

# removable tells if we can actually remove this record
if ($remove != '') {
  $removable = 0;
  $ret = kadonnut_remove_ok($herja,$id,false);
  if ($ret != 2) {
    $removable = 1;
  }
  p_herja($ret,$herja);
 }

if ($id != "0") {
  $sql = "SELECT * FROM $table WHERE id = $id";
  $result = my_mysql_query($sql);
  $a = mysql_fetch_array($result);
  $lapsi_tila_id = $a['lapsi_tila_id'];
  $mmm = $a['mmm'];
  $kello = $a['kello'];
  $nimi = $a['nimi'];
  $lempinimi = $a['lempinimi'];
  $ika = $a['ika'];
  $pituus = $a['pituus'];
  $paino = $a['paino'];
  $sairaudet = $a['sairaudet'];
  $sukupuoli = $a['sukupuoli'];
  $housut = $a['housut'];
  $paita = $a['paita'];
  $kengat = $a['kengat'];
  $hame = $a['hame'];
  $puku = $a['puku'];
  $paahine = $a['paahine'];
  $hiusten_vari = $a['hiusten_vari'];
  $hiusten_pituus = $a['hiusten_pituus'];
  $tuntomerkit = $a['tuntomerkit'];
  $varustus = $a['varustus'];
  $liikkuminen = $a['liikkuminen'];
  $muuta_huomioitavaa = $a['muuta_huomioitavaa'];
  $viimeksi_kello = $a['viimeksi_kello'];
  $viimeksi_paikka = $a['viimeksi_paikka'];
  $muuta1 = $a['muuta1'];
  $omainen_nimi = $a['omainen_nimi'];
  $omainen_puhelin = $a['omainen_puhelin'];
  $omainen_sijainti = $a['omainen_sijainti'];
  $omainen_osoite = $a['omainen_osoite'];
  $ilmoittaja_nimi = $a['ilmoittaja_nimi'];
  $ilmoittaja_puhelin = $a['ilmoittaja_puhelin'];
  $ilmoittaja_sijainti = $a['ilmoittaja_sijainti'];
  $ilmoittaja_asema = $a['ilmoittaja_asema'];
  $loydetty_kello = $a['loydetty_kello'];
  $loydetty_mista = $a['loydetty_mista'];
  $muuta2 = $a['muuta2'];
  $muuta3 = $a['muuta3'];
  $loytaneet_kello = $a['loytaneet_kello'];
  $halytyksen_vastaanotti = $a['halytyksen_vastaanotti'];
  # apply some magic to all time fields.
  $kello = maaginen_kello($kello);
  $viimeksi_kello = maaginen_kello($viimeksi_kello);
  $loydetty_kello = maaginen_kello($loydetty_kello);
  $loytaneet_kello = maaginen_kello($loytaneet_kello);
}

echo "<form action=\"\" method=\"GET\">\n";
echo "<p><table border=0>\n";

echo "<tr><td>Id:<td>";
if ($id == "0") {
  echo "(tehdn uusi)\n";
  $lapsi_tila_id = 2;
} else {
  echo "$id\n";
}
echo "<td><input type=\"hidden\" name=\"id\" size=8 maxlength=8";
echo " value=\"$id\">\n";

echo "<tr><td>Tila:<td>";
if ($readonly) {
  echo etsi_teksti("lapsi_tila_id", $lapsi_tila_id, "lapsi_tila", "id",
		    "lapsi_tila") . "\n";
} else {
  echo "\n";
  tee_valinta("lapsi_tila_id", $lapsi_tila_id, "lapsi_tila", "id",
	      "lapsi_tila", "ORDER BY lapsi_tila");
}

echo "<tr><td>TILANNE\n";

echo "<tr><td>Mit, miss, milloin:<td>";
if ($readonly) { echo "$mmm\n"; } else {
  echo "<input type=\"text\" name=\"mmm\" size=64 maxlength=255";
  echo " value=\"$mmm\">\n";
}

echo "<tr><td>Tiedot/hlytyksen antoi:<td>";
if ($readonly) { echo "$ilmoittaja_nimi\n"; } else {
  echo "<input type=\"text\" name=\"ilmoittaja_nimi\" size=64 maxlength=64";
  echo " value=\"$ilmoittaja_nimi\">\n";
}

echo "<tr><td>Virka-asema:<td>";
if ($readonly) { echo "$ilmoittaja_asema\n"; } else {
  echo "<input type=\"text\" name=\"ilmoittaja_asema\" size=64 maxlength=64";
  echo " value=\"$ilmoittaja_asema\">\n";
}

echo "<tr><td>Yhteystiedot:<td>";
if ($readonly) { echo "$ilmoittaja_puhelin\n"; } else {
  echo "<input type=\"text\" name=\"ilmoittaja_puhelin\" size=32 maxlength=32";
  echo " value=\"$ilmoittaja_puhelin\">\n";
}

echo "<tr><td>Pvm + Klo:<td>";
if ($readonly) { echo "$kello\n"; } else {
  echo "<input type=\"text\" name=\"kello\" size=19 maxlength=19";
  echo " value=\"$kello\">
Koska ilmoitettu VAPEPAlle. HH:MM tai X tai -MM tai +MM.\n";
}

echo "<tr><td>Viimeinen havainto\n";

echo "<tr><td>Kello:<td>";
if ($readonly) { echo "$viimeksi_kello\n"; } else {
  echo "<input type=\"text\" name=\"viimeksi_kello\" size=19 maxlength=19";
  echo " value=\"$viimeksi_kello\">
HH:MM tai X tai -MM tai +MM.\n";
}

echo "<tr><td>Miss:<td>";
if ($readonly) { echo "$viimeksi_paikka\n"; } else {
  echo "<input type=\"text\" name=\"viimeksi_paikka\" size=64 maxlength=64";
  echo " value=\"$viimeksi_paikka\">\n";
}

echo "<tr><td>Hlytyksen vastaanotti:<td>";
if ($readonly) { echo "$halytyksen_vastaanotti\n"; } else {
  echo
    "<input type=\"text\" name=\"halytyksen_vastaanotti\" size=64 maxlength=64";
  echo " value=\"$halytyksen_vastaanotti\">\n";
}

echo "<tr><td>KADONNUT\n";

echo "<tr><td>Henkiltiedot\n";

echo "<tr><td>Nimi:<td>";
if ($readonly) { echo "$nimi\n"; } else {
  echo "<input type=\"text\" name=\"nimi\" size=64 maxlength=64";
  echo " value=\"$nimi\">\n";
}

echo "<tr><td>Lempinimi:<td>";
if ($readonly) { echo "$lempinimi\n"; } else {
  echo "<input type=\"text\" name=\"lempinimi\" size=64 maxlength=64";
  echo " value=\"$lempinimi\">\n";
}

echo "<tr><td>Ik:<td>";
if ($readonly) { echo "$ika\n"; } else {
  echo "<input type=\"text\" name=\"ika\" size=16 maxlength=16";
  echo " value=\"$ika\">\n";
}

echo "<tr><td>Sukupuoli:<td>";
if ($readonly) { echo "$sukupuoli\n"; } else {
  echo "<input type=\"text\" name=\"sukupuoli\" size=8 maxlength=8";
  echo " value=\"$sukupuoli\">\n";
}

echo "<tr><td>Pituus:<td>";
if ($readonly) { echo "$pituus\n"; } else {
  echo "<input type=\"text\" name=\"pituus\" size=8 maxlength=8";
  echo " value=\"$pituus\">\n";
}

echo "<tr><td>Paino:<td>";
if ($readonly) { echo "$paino\n"; } else {
  echo "<input type=\"text\" name=\"paino\" size=8 maxlength=8";
  echo " value=\"$paino\">\n";
}

echo "<tr><td>Hiusten vri:<td>";
if ($readonly) { echo "$hiusten_vari\n"; } else {
  echo "<input type=\"text\" name=\"hiusten_vari\" size=32 maxlength=32";
  echo " value=\"$hiusten_vari\">\n";
}

echo "<tr><td>Hiusten pituus:<td>";
if ($readonly) { echo "$hiusten_pituus\n"; } else {
  echo "<input type=\"text\" name=\"hiusten_pituus\" size=32 maxlength=32";
  echo " value=\"$hiusten_pituus\">\n";
}

echo "<tr><td>Sairaudet:<td>";
if ($readonly) { echo "$sairaudet\n"; } else {
  echo "<input type=\"text\" name=\"sairaudet\" size=64 maxlength=255";
  echo " value=\"$sairaudet\">\n";
}

echo "<tr><td>Muuta:<td>";
if ($readonly) { echo "$muuta1\n"; } else {
  echo "<input type=\"text\" name=\"muuta1\" size=64 maxlength=255";
  echo " value=\"$muuta1\">\n";
}

echo "<tr><td>Vaatetus\n";

echo "<tr><td>Phine:<td>";
if ($readonly) { echo "$paahine\n"; } else {
  echo "<input type=\"text\" name=\"paahine\" size=32 maxlength=32";
  echo " value=\"$paahine\">\n";
}

echo "<tr><td>Pusero/takki:<td>";
if ($readonly) { echo "$paita\n"; } else {
  echo "<input type=\"text\" name=\"paita\" size=32 maxlength=32";
  echo " value=\"$paita\">\n";
}

echo "<tr><td>Housut:<td>";
if ($readonly) { echo "$housut\n"; } else {
  echo "<input type=\"text\" name=\"housut\" size=32 maxlength=32";
  echo " value=\"$housut\">\n";
}

echo "<tr><td>Jalkineet:<td>";
if ($readonly) { echo "$kengat\n"; } else {
  echo "<input type=\"text\" name=\"kengat\" size=32 maxlength=32";
  echo " value=\"$kengat\">\n";
}

echo "<tr><td>Hame:<td>";
if ($readonly) { echo "$hame\n"; } else {
  echo "<input type=\"text\" name=\"hame\" size=32 maxlength=32";
  echo " value=\"$hame\">\n";
}

echo "<tr><td>Puku:<td>";
if ($readonly) { echo "$puku\n"; } else {
  echo "<input type=\"text\" name=\"puku\" size=32 maxlength=32";
  echo " value=\"$puku\">\n";
}

echo "<tr><td>Muuta:<td>";
if ($readonly) { echo "$muuta3\n"; } else {
  echo "<input type=\"text\" name=\"muuta3\" size=64 maxlength=255";
  echo " value=\"$muuta3\">\n";
}

echo "<tr><td>Varustus:<td>";
if ($readonly) { echo "$varustus\n"; } else {
  echo "<input type=\"text\" name=\"varustus\" size=64 maxlength=255";
  echo " value=\"$varustus\">\n";
}

echo "<tr><td>Liikkuminen:<td>";
if ($readonly) { echo "$liikkuminen\n"; } else {
  echo "<input type=\"text\" name=\"liikkuminen\" size=64 maxlength=255";
  echo " value=\"$liikkuminen\">\n";
}

echo "<tr><td>Muut tuntomerkit:<td>";
if ($readonly) { echo "$tuntomerkit\n"; } else {
  echo "<input type=\"text\" name=\"tuntomerkit\" size=64 maxlength=64";
  echo " value=\"$tuntomerkit\">\n";
}

echo "<tr><td>Muuta huomioitavaa:<td>";
if ($readonly) { echo "$muuta_huomioitavaa\n"; } else {
  echo "<input type=\"text\" name=\"muuta_huomioitavaa\" size=64 maxlength=255";
  echo " value=\"$muuta_huomioitavaa\">\n";
}

echo "<tr><td>Lhiomainen\n";

echo "<tr><td>Nimi:<td>";
if ($readonly) { echo "$omainen_nimi\n"; } else {
  echo "<input type=\"text\" name=\"omainen_nimi\" size=64 maxlength=64";
  echo " value=\"$omainen_nimi\">\n";
}

echo "<tr><td>Puhelin:<td>";
if ($readonly) { echo "$omainen_puhelin\n"; } else {
  echo "<input type=\"text\" name=\"omainen_puhelin\" size=32 maxlength=32";
  echo " value=\"$omainen_puhelin\">\n";
}

echo "<tr><td>Sijainti:<td>";
if ($readonly) { echo "$omainen_sijainti\n"; } else {
  echo "<input type=\"text\" name=\"omainen_sijainti\" size=64 maxlength=255";
  echo " value=\"$omainen_sijainti\">\n";
}

echo "<tr><td>Osoite:<td>";
if ($readonly) { echo "$omainen_osoite\n"; } else {
  echo "<input type=\"text\" name=\"omainen_osoite\" size=64 maxlength=255";
  echo " value=\"$omainen_osoite\">\n";
}

echo "<tr><td>Kadonnut lydetty";

echo "<tr><td>Kello:<td>";
if ($readonly) { echo "$loydetty_kello\n"; } else {
  echo "<input type=\"text\" name=\"loydetty_kello\" size=19 maxlength=19";
  echo " value=\"$loydetty_kello\">HH:MM tai X tai -MM tai +MM.\n";
}

echo "<tr><td>Mist:<td>";
if ($readonly) { echo "$loydetty_mista\n"; } else {
  echo "<input type=\"text\" name=\"loydetty_mista\" size=64 maxlength=255";
  echo " value=\"$loydetty_mista\">\n";
}

echo "<tr><td>Luovutettu VAPEPAn<br>huostasta kello:<td>";
if ($readonly) { echo "$loytaneet_kello\n"; } else {
  echo "<input type=\"text\" name=\"loytaneet_kello\" size=19 maxlength=19";
  echo " value=\"$loytaneet_kello\">HH:MM tai X tai -MM tai +MM.\n";
}

echo "<tr><td>Muita<br>toimenpiteit:<td>";
if ($readonly) { echo "$muuta2\n"; } else {
  echo "<input type=\"text\" name=\"muuta2\" size=64 maxlength=255";
  echo " value=\"$muuta2\">\n";
}

echo "</table>\n";

if ($change != "") {
  echo "<input type=\"submit\" name=\"save\" value=\"TALLENNA\">\n";
  echo "<input type=\"submit\" name=\"clear\" value=\"PERUUTA\">\n";
} elseif ($remove != "") {
  if ($removable) {
    echo "<input type=\"submit\" name=\"confirm\" value=\"VAHVISTA POISTO\">\n";
  }
  echo "<input type=\"submit\" name=\"clear\" value=\"PERUUTA\">\n";
} elseif ($show == "") {
  echo "<input type=\"submit\" name=\"add\" value=\"LIS\">\n";
  echo "<input type=\"submit\" name=\"clear\" value=\"TYHJENN\">\n";
}

$sql =
  "SELECT kadonnut.id,kadonnut.ts,lapsi_tila,viimeksi_kello,kello,nimi,ika,
          sukupuoli
   FROM kadonnut,lapsi_tila
   WHERE lapsi_tila_id = lapsi_tila.id
         AND $table.paivystys_id = " . s("paivystys") . "
   ORDER BY kadonnut.ts";
$result = my_mysql_query($sql);
if ($result) {
  echo "<p><TABLE BORDER=1>\n";
  tr_reset();
  echo tr_vaalsin()
    . "<TH>Id<TH>Tila<TH>Viimeinen<br>havainto<th>Tullut<br>tietoon"
      . "<th>Nimi<TH>Ik<TH>Sukupuoli\n";
  while ($a = mysql_fetch_array($result)) {
    echo tr() . "<TD>$a[id]",
      "<TD>$a[lapsi_tila]",
      "<TD align=right>", vain_hhmm($a['viimeksi_kello']),
      "<TD align=right>", vain_hhmm($a['kello']),
      "<TD>$a[nimi]",
      "<TD>$a[ika]", "<TD>$a[sukupuoli]";
    if ($id == "0") {
      echo "<td><a href=\"$table.php?id=$a[id]&change=MUUTA\">MUUTA</a>\n";
      echo "<td><a href=\"$table.php?id=$a[id]&remove=POISTA\">POISTA</a>\n";
    }
  }
  echo "</TABLE>";
 } else {
  echo "<P>Plop. Ei kadonneiden tietoja.";
 }
 
echo "</form>\n";

loppu();

?>
</body> 
</html>
<!-- RCS $Id: kadonnut.php,v 1.24 2009/09/29 16:09:15 riku Exp $ -->
